public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Markus Meier" <maekke@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/maekke:master commit in: scripts/
Date: Sat,  8 Oct 2011 23:24:24 +0000 (UTC)	[thread overview]
Message-ID: <49d0de17cb97fe8b15e40a254a792d5d65c52026.maekke@gentoo> (raw)

commit:     49d0de17cb97fe8b15e40a254a792d5d65c52026
Author:     Markus Meier <maekke <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  8 23:25:20 2011 +0000
Commit:     Markus Meier <maekke <AT> gentoo <DOT> org>
CommitDate: Sat Oct  8 23:25:20 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/maekke.git;a=commit;h=49d0de17

strip the pkg argument (leading = and version numbers)

---
 scripts/rdep |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/scripts/rdep b/scripts/rdep
index cc66630..bf0688f 100755
--- a/scripts/rdep
+++ b/scripts/rdep
@@ -17,6 +17,8 @@ fi
 
 arch="${1}"
 pkg="${2}"
+pkg="${pkg/=/}"
+pkg="${pkg/-[0-9]*/}"
 
 if [[ ! -d ${REPODIR} ]]; then
 	echo "your \${REPODIR}='${REPODIR}' does not exist."
@@ -35,7 +37,8 @@ if [[ $(egrep "\<${arch/\~/}\>" ${REPODIR}/profiles/arch.list | wc -l) == 0 ]];
 fi
 
 if [[ ! -d ${REPODIR}/${pkg} ]]; then
-	echo "invalid package ${pkg} - do not use a version-number"
+	echo "package ${pkg} not found"
+	exit 1
 fi
 
 tmp="$(mktemp)"



             reply	other threads:[~2011-10-08 23:24 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-10-08 23:24 Markus Meier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-10-03  8:59 [gentoo-commits] dev/maekke:master commit in: scripts/ Markus Meier
2015-08-21 16:44 Markus Meier
2015-08-19 17:09 Markus Meier
2015-08-18 20:20 Markus Meier
2015-08-18 20:20 Markus Meier
2015-01-21 16:34 Markus Meier
2014-10-04 10:37 Markus Meier
2014-07-17 18:06 Markus Meier
2014-06-19 18:46 Markus Meier
2014-06-01 16:13 Markus Meier
2014-06-01 16:13 Markus Meier
2014-06-01 16:13 Markus Meier
2013-10-05 19:30 Markus Meier
2013-10-01 19:03 Markus Meier
2013-07-29 22:11 Markus Meier
2013-05-14 18:22 Markus Meier
2013-05-09 13:29 Markus Meier
2012-05-26 10:05 Markus Meier
2011-10-15 12:38 Markus Meier
2011-10-08 23:57 Markus Meier
2011-10-08 23:31 Markus Meier
2011-10-08 23:06 Markus Meier
2011-10-08 12:10 Markus Meier
2011-04-10 21:12 Markus Meier
2011-04-10 20:45 Markus Meier
2011-04-09 12:38 Markus Meier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=49d0de17cb97fe8b15e40a254a792d5d65c52026.maekke@gentoo \
    --to=maekke@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox